package edu.travel.remote.feign.mode.dto.tenant;

import lombok.Data;

import java.util.Map;

/**
 * SysMenuExtraDataDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/15
 */

@Data
public class SysMenuExtraDataDto {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 菜单id
     */
    private Long menuId;

    /**
     * 菜单图标名称
     */
    private String icon;

    /**
     * 菜单显示名称
     */
    private String title;

    /**
     * 是否缓存 0不缓存 1缓存
     */
    private Boolean noCache;

    /**
     * 是否缓存字典
     */
    private Map codeIsCacheDict;

}
