package edu.travel.model;

import lombok.Data;

import java.io.Serializable;

/**
 * PageDto 类。
 * <p>
 * 描述：分页参数
 *
 * @author huangwenwen
 * @date 2025/2/10
 */

@Data
public class PageDto implements Serializable {

    private static final long serialVersionUID = 1L;
//    @NotNull(message = "当前页码不能为空")
    private Integer pageNum = 1;
//    @NotNull(message = "每页显示条数不能为空")
    private Integer pageSize = 10;
}
