package edu.travel.remote.feign.mode.dto.tenant;

import edu.travel.model.PageDto;
import lombok.Data;

import java.util.Date;

/**
 * EduTenantDto 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/10
 */

@Data
public class EduTenantPageDto extends PageDto {

    /**
     * 主键
     */
    private Long id;

    /**
     * 姓
     */
    private String tenantSurname;

    /**
     * 名
     */
    private String tenantName;

    /**
     * 性别 0男 1女
     */
    private Integer tenantSex;

    /**
     * 头像
     */
    private String tenantAvatar;

    /**
     * 手机号
     */
    private String tenantPhone;

    /**
     * 密码
     */
    private String password;

    /**
     * 地区区号
     */
    private String tenantArea;

    /**
     * 生日日期
     */
    private Date tenantBirthday;

    /**
     * 微信小程序openid
     */
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    private String tenantUnionid;

    /**
     * 现实名
     */
    private String showName;

    /**
     * 用户状态
     */
    private Integer userStatus;

}
